Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Interface JRExtendedIncrementer

All Superinterfaces:
  JRIncrementer

All Known Implementing Classes:
  JRAbstractExtendedIncrementer

    public interface JRExtendedIncrementer

extends JRIncrementer

Extended incrementer interface.

The `JRIncrementer` has been kept for backward compatibility.

The crosstab calculation engine requires extended incrementers. An incrementer implementing `JRIncrementer` can be used for report variables only.

Version:
  $Id: JRExtendedIncrementer.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`java.lang.Object` | `combine(JRCalculable calculable, JRCalculable calculableValue, AbstractValueProvider valueProvider)` Combines two calculated values into one.
`boolean` | `ignoresNullValues()` Specifies whether `null` values are ignored by this incrementer.
`java.lang.Object` | `increment(JRCalculable calculable, java.lang.Object expressionValue, AbstractValueProvider valueProvider)` Increments a calculable object with a value.
`java.lang.Object` | `initialValue()` Returns the initial value for this calculation.

Methods inherited from interface net.sf.jasperreports.engine.fill.JRIncrementer
`increment`

Method Detail

### increment

    java.lang.Object increment(JRCalculable calculable,
                               java.lang.Object expressionValue,
                               AbstractValueProvider valueProvider)
                               throws JRException

  Increments a calculable object with a value.

  Parameters:
    `calculable` - the calculable
    `expressionValue` - the value
    `valueProvider` - value provider
  Returns:
    the incremented value
  Throws:
    `JRException`

### initialValue

    java.lang.Object initialValue()

  Returns the initial value for this calculation.

  This method should return a neutral value for this calculation (e.g. 0 for sum, 1 for product, etc) or a default value if no neutral value exists.

  Returns:
    the initial value for this calculation

### combine

    java.lang.Object combine(JRCalculable calculable,
                             JRCalculable calculableValue,
                             AbstractValueProvider valueProvider)
                             throws JRException

  Combines two calculated values into one.

  Parameters:
    `calculable` - the first calculated value
    `calculableValue` - the second calculated value
    `valueProvider` - the value provider used for the helper variables
  Returns:
    the combined value
  Throws:
    `JRException`

### ignoresNullValues

    boolean ignoresNullValues()

  Specifies whether `null` values are ignored by this incrementer. If `null` values are ignored, the caller can chose to skip incrementing a calculation with a `null` value.

  Returns:
    whether `null` values are ignored by this incrementer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com